Prepare task start
POST
/ai/gateway/tasks/start/prepareContract
Parameter | Value |
|---|---|
| Section | ai-gateway |
| Authentication | AIKeyAuth |
| Consumes | application/json |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| request | body | yes | object | { taskId (required, >0), idempotencyKey, ttlSeconds, schemaHash } |
{}
Responses
6 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid request body or nonpositive taskId | object |
401 | API key is missing or invalid | object |
403 | Insufficient permissions | object |
409 | Idempotency key has already been used for another request | object |
500 | Task not found or an internal error occurred | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": {} }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }